List flow schedules
GET
Returns a paginated list of schedules ordered by creation time.
BearerAuthheader
AuthorizationBearer <JWT>Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.
flow*stringFormat
uuidpageSize?integerThe number of results per page. Defaults to 20, maximum 100.
pageToken?stringCursor for pagination. Pass the nextPageToken from a previous response to retrieve the next page.
A paginated list of schedules.
application/json- response
schedules*array<>nextPageToken?stringCursor for the next page. Empty when no more results exist.
totalSize*integerTotal number of schedules for this flow.
curl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules'Example Response
{ "schedules": [ { "name": "flows/550e8400-e29b-41d4-a716-446655440000/schedules/770e8400-e29b-41d4-a716-446655440000", "cron": "0 */5 * * * *", "nextRunTime": "2019-08-24T14:15:22Z", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ], "nextPageToken": "string", "totalSize": 3}